GreatWksGraphInternal::FrameShape Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GreatWksGraphInternal::FrameShape Struct Reference

Internal: the basic shape of a GreatWksGraph. More...

Inheritance diagram for GreatWksGraphInternal::FrameShape:

## Public Member Functions
| FrameShape (Frame const &frame)
| constructor More...
| ~FrameShape ()
| destructor More...
virtual Type | getType () const
| return the frame type More...
virtual void | print (std::ostream &o) const
| print function More...
void | updateStyle (MWAWGraphicStyle &style) const
| update the style More...
Public Member Functions inherited from GreatWksGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...

## Public Attributes
MWAWGraphicShape | m_shape
| the shape More...
int | m_lineArrow
| the line arrow style (in v1) More...
int | m_lineFormat
| the line format? More...
Public Attributes inherited from GreatWksGraphInternal::Frame
int | m_type
| the zone type More...
int | m_styleId
| the style identifier More...
int | m_parent
| the parent identifier More...
int | m_order
| the z order More...
long | m_dataSize
| the data size ( if know) More...
MWAWBox2f | m_box
| the zone bdbox More...
int | m_page
| the page More...
std::string | m_extra
| extra data More...
bool | m_parsed
| true if the frame is send More...

## Private Member Functions
| FrameShape (FrameShape const &)
FrameShape & | operator= (FrameShape const &)

## Additional Inherited Members
Public Types inherited from GreatWksGraphInternal::Frame
enum | Type { T_BAD, T_BASIC, T_GROUP, T_PICTURE, T_TEXT, T_DBFIELD, T_UNSET }
| the frame type More...

## Detailed Description

Internal: the basic shape of a GreatWksGraph.

## Constructor & Destructor Documentation

## ◆ FrameShape() [1/2]

GreatWksGraphInternal::FrameShape::FrameShape | ( | Frame const & | frame | ) |
| inlineexplicit

constructor

## ◆ ~FrameShape()

GreatWksGraphInternal::FrameShape::~FrameShape | ( |  | ) |

destructor

## ◆ FrameShape() [2/2]

GreatWksGraphInternal::FrameShape::FrameShape | ( | FrameShape const & |  | ) |
| private

## Member Function Documentation

## ◆ getType()

virtual Type GreatWksGraphInternal::FrameShape::getType | ( |  | ) | const
| inlinevirtual

return the frame type

Reimplemented from GreatWksGraphInternal::Frame.

## ◆ operator=()

FrameShape& GreatWksGraphInternal::FrameShape::operator= | ( | FrameShape const & |  | ) |
| private

## ◆ print()

virtual void GreatWksGraphInternal::FrameShape::print | ( | std::ostream & | o | ) | const
| inlinevirtual

print function

Reimplemented from GreatWksGraphInternal::Frame.

## ◆ updateStyle()

void GreatWksGraphInternal::FrameShape::updateStyle | ( | MWAWGraphicStyle & | style | ) | const
| inline

update the style

Referenced by GreatWksGraph::sendGroup(), GreatWksGraph::sendGroupChild(), and GreatWksGraph::sendShape().

## Member Data Documentation

## ◆ m_lineArrow

int GreatWksGraphInternal::FrameShape::m_lineArrow

the line arrow style (in v1)

Referenced by GreatWksGraph::readFrameHeader().

## ◆ m_lineFormat

int GreatWksGraphInternal::FrameShape::m_lineFormat

the line format?

Referenced by GreatWksGraph::readFrameHeader().

## ◆ m_shape

MWAWGraphicShape GreatWksGraphInternal::FrameShape::m_shape

the shape

Referenced by GreatWksGraph::readFrameExtraData(), GreatWksGraph::readFrameHeader(), GreatWksGraph::sendGroup(), GreatWksGraph::sendGroupChild(), and GreatWksGraph::sendShape().

The documentation for this struct was generated from the following file:

- GreatWksGraph.cxx